{% set CodiceModulo = "DOM_AGE_SCO" %}
{% set Urn = "document:c_l356:agevolazione.scuola;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  },
  { "codice":"ATT_ISEE",
    "urn":"document:s_italia:generale;dichiarazione.isee;documentazione",
    "descrizione_tabella_allegati":"Copia dell’attestazione ISEE",
    "annotazioni_tabella_allegati":"",
    "descrizione_meta":"", 
    "filename":"Copia dell’attestazione ISEE",
    "firmatari":"Titolare_CodiceFiscale",
    "firmatari_label":"il dichiarante",
    "firmato":"NO",
    "numero":"1",
    "dimensione":"15",
    "enabled":"#Tassonomia_RiduzioneTariffaISEE.checked()",
    "dynamic_check":"#Tassonomia_RiduzioneTariffaISEE.checked()",
    "tipo":"allegato",
    "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
  }
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list="asilo.nido:agevolazione.economica|mensa.scolastica:agevolazione.economica|pre.post.scuola:agevolazione.economica|trasporto.scolastico:agevolazione.economica"
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di concessione di agevolazioni per l'accesso ai servizi scolastici"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.2|28/05/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di concessione di agevolazioni per l'accesso ai servizi scolastici {% endblock title %}

{% block content %}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - agevolazione servizi scolastici' + (#Referente_DatiPersonaObbligatori.checked() ? ' (per il minore ' + #Referente_Cognome.value().toUpperCase() + ' ' + #Referente_Nome.value().toUpperCase() + ')' : '')" id="Oggetto" name="Oggetto" type="hidden"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<!-- urn_procedure deve essere scritta in formato es. "procedure%3As_italia%3Aasilo.nido%3Biscrizione" -->
{{ utils.attivazione_temporale_procedure(urn_procedure="procedure%3As_italia%3Aagevolazioni.scolastiche")}}

<div class="container">
  <div class="title-1"> Domanda di concessione di agevolazioni per l'accesso ai servizi scolastici </div>
</div>

{{ utils_scolastici.anno_scolastico(intestazione = "anno scolastico") }}

<!-- Per il precaricamento del profilo utente settare campi_readonly = 'readonly'
     Nelle anagrafiche del minore settare onceonly = 'true' -->
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto genitore, tutore o affidatario", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="false")}}

<!-- Per il precaricamento del profilo utente settare campi_readonly = 'readonly'
     Nelle anagrafiche del minore settare onceonly = 'true' -->
<input id="Referente_DatiPersonaObbligatori" name="Referente_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Referente_Titolo" name="Referente_Titolo" type="hidden" value="Minore"/>
<input id="Referente_Ruolo" name="Referente_Ruolo" type="hidden" value="Minore"/>
{{ anagrafica.persona_fisica( prefix="Referente", 
                              intestazione="del minore", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="true")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}       

<div class="container mt-0 mb-0">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> la concessione di un'agevolazione ai seguenti servizi scolastici </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_ServizioScolastico"> Servizi scolastici </label>
      <input class="form-control" list="Parametri_ServizioScolasticoLista" id="Parametri_ServizioScolastico" name="Parametri_ServizioScolastico" label="Servizio scolastico" mandatory_enabled="true">
      <datalist id="Parametri_ServizioScolasticoLista"> 
        <option value="asilo nido">asilo nido</option>
        <option value="mensa scolastica">mensa scolastica</option>
        <option value="pre post scuola">pre post scuola</option>
        <option value="trasporto scolastico">trasporto scolastico</option>
      </datalist>
    </div>
  </div>
</div>
<input id="Parametri_ControlloServizioScolastico" name="Parametri_ControlloServizioScolastico" type="hidden" label="Selezionare uno tra i servizi scolastici disponibili" mandatory_enabled="#Parametri_ServizioScolastico.value() != '' and #Parametri_ServizioScolastico.value() != 'asilo nido' and #Parametri_ServizioScolastico.value() != 'mensa scolastica' and #Parametri_ServizioScolastico.value() != 'pre post scuola' and #Parametri_ServizioScolastico.value() != 'trasporto scolastico'" />

<globo_salto_pagina></globo_salto_pagina>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> per la seguente motivazione </span>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Motivazione </label>
    </div>
  </div>
  {% set testi = [
    "nuclei familiari monogenitoriali",
    "nuclei familiari con la presenza di almeno tre figli minori ovvero nuclei familiari numerosi",
    "nuclei familiari nei quali vi è stata perdita o riduzione dell’attività lavorativa di uno o entrambi i percettori di reddito a causa del decesso di un componente ovvero stato di invalidità accertato per il quale il soggetto risulta ancora in attesa della prevista provvidenza economica",
    "nuclei familiari con stato di disoccupazione da parte dell’unico percettore di reddito in conseguenza di ristrutturazione e cessazione dell’attività aziendale presso cui prestava lavoro in qualità di dipendente",
    "nuclei familiari con la presenza di un minore con comprovata relazione medico clinica che accerti lo stato di disabilità",
    "nuclei familiari con accertata assenza di reddito non continuativa e riferita esclusivamente all’anno di riferimento dell’autodichiarazione ISEE"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Motivo" name="Tassonomia_Motivo" label="Motivo" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Motivo{{ loop.index }}" name="Tassonomia_Motivo" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_Motivo{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" id="Tassonomia_Motivo7" name="Tassonomia_Motivo" type="radio" value="7">
      <label class="form-check-label text-justify" for="Tassonomia_Motivo7"> altro <span class="infoes"> (specificare) </span></label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="Parametri_Motivo7_Altro" name="Parametri_Motivo7_Altro" label="Altra motivazione" mandatory_enabled="#Tassonomia_Motivo7.checked()">
    </div>
  </div>
</div>

{{ utils.Dichiara_445() }}

<div class="container mt-0 mb-0">
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_RiduzioneTariffaISEE" name="Tassonomia_RiduzioneTariffaISEE" type="checkbox" value="SI" onceonly="true">
    <label class="form-check-label text-justify" for="Tassonomia_RiduzioneTariffaISEE"> di possedere il seguente ISEE </label>
    {{ utils_sociali.isee(intestazione="", visibility_intestazione="display:none", numerodsu="display:none", mandatory_enabled="#Tassonomia_RiduzioneTariffaISEE.checked()", indentato="true") }}
  </div>
</div>

<div class="container mt-0 mb-0">
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara1" name="Dichiara1" type="checkbox" value="SI" onceonly="true" >
    <label class="form-check-label text-justify" for="Dichiara1"> che oltre al richiedente e al beneficiario del servizio, il nucleo familiare si compone di </label>
  </div>
</div>

<!-- Per aumentare il numero di componenti aumentare il parametro nSogg (partenza del ciclo da 80)
 Per importa i dati del richiedente nel primo componente settare il parametro rigarichiedente a true
 Per modificare il saltopagina settare default (salto ogni 4 anagrafiche), dopo_primo (dopo la prima e dopo altre eventuali quattro anagrafiche), dopo_secondo (dopo la seconda e dopo altre eventuali quattro anagrafiche), dopo_terzo (dopo la terza e dopo altre eventuali quattro anagrafiche), dopo_quarto (dopo la quarta e dopo altre eventuali quattro anagrafiche) -->
{{ utils_sociali.componenti_famiglia(mandatory="#Dichiara1.checked()",enabled="#Dichiara1.checked()", visibility_statocivile="true", visibility_professione="true", visibility_disabilita="false", onceonly="true", nSoggFine="84", rigarichiedente="false", prefixrichiedente="Titolare", saltopagina="dopo_secondo") }}


{{ utils.iban(mandatory_enabled = "true", visibility_intestazione = "visibility:visibility", visibility_intestatario = "visibility:visibility", intestazione = "domiciliazione bancaria o postale del conto corrente") }}



{{ utils_scolastici.dichiarazione_miur() }}

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>
<globo_salto_pagina></globo_salto_pagina>
{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="4">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input urn_procedimento="(#Parametri_ServizioScolastico.value() == 'asilo nido' ? 'asilo.nido' : '') + (#Parametri_ServizioScolastico.value() == 'mensa scolastica' ? 'mensa.scolastica' : '') + (#Parametri_ServizioScolastico.value() == 'pre post scuola' ? 'pre.post.scuola' : '') + (#Parametri_ServizioScolastico.value() == 'trasporto scolastico' ? 'trasporto.scolastico' : '') + ':agevolazione.economica'" destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
